%define Product PloneErrorReporting
%define product ploneerrorreporting
%define name    zope-%{Product}
%define version 1.1
%define release %mkrel 4

%define zope_minver	2.7
%define plone_minver	2.0
%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	PloneErrorReporting facilitate the submission of useful bug reports to Plone
License:	GPL
Group:		System/Servers
URL:        http://plone.org/products/%{product}
Source:     http://plone.org/products/%{product}/releases/%{version}/%{Product}-%{version}.tar.gz
Requires:	zope >= %{zope_minver}
Requires:	zope >= %{plone_minver}
Provides:	plone-PloneErrorReporting == %{version}
Obsoletes:	plone-PloneErrorReporting
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
PloneErrorReporting replaces default_error_message and 
prefs_error_log_showEntry with pages that facilitate the 
submission of useful bug reports to Plone.  It is designed 
with the goal of improving the information provided by bug 
reporters.

%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(-,root,root)
%{software_home}/Products/*


%changelog
* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1-4mdv2009.0
+ Revision: 263186
- rebuild
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1-1mdv2008.1
+ Revision: 136633
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-1mdv2008.0
+ Revision: 88609
- new version


* Tue Dec 19 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.0-1mdv2007.0
+ Revision: 99958
- 1.0

* Tue Aug 08 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.11-4mdv2007.0
+ Revision: 53769
- Fix rpmlint warnings

  + Gaëtan Lehmann <glehmann@mandriva.org>
    - Import zope-PloneErrorReporting

* Mon Aug 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.11-3mdk
- fix path on x86_64

* Tue Apr 26 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.11-2mdk
- use mkrel
- rename from plone-PloneErrorReporting to zope-PloneErrorReporting

* Thu Jan 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.11-1mdk
- initial contrib

